Link to file description page is undiscoverable or completely missing
OpenPublic

Description

There are currently only two ways to access a video description page:

  1. if it's embedded with |thumb syntax, click the small "enlarge" icon;
  2. otherwise, or if you've already clicked the video, a) click menu, b) possibly click (i) icon, c) click the filename after "Title:".

With OggHandler you could just click anywhere on the preview but on the play button, if I remember correctly.
Anyway, I don't know if (2) really must have so many passages, but:
I) the filename should at least be underlined and of a different colour or it's impossible to even know that it's a link,
II) if the "Credits" view is always opened first when clicking on the video, then the (i) icon could be repurposed to open the file description, given that someone clicking it really wants to know more.


Version: master
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=31583

bzimport set Reference to bz43747.
Nemo_bis created this task.Via LegacyJan 8 2013, 10:26 PM
Nemo_bis added a comment.Via ConduitApr 8 2013, 8:47 PM

(In reply to comment #0)

There are currently only two ways to access a video description page [...]

  1. If the video is embedded outside a wiki, no way at all (or none I can find). See for instance the video on https://blog.wikimedia.org/2013/04/08/breaking-through-walls-of-text-richer-wikimedia-experience/
Rillke added a comment.Via ConduitApr 9 2013, 5:51 PM

If the file description page is not accessible (e.g. due to browser incompats), the user can't access the file description page and therefore most licensing conditions are not fulfilled (cc-by, cc-by-sa, gfdl demand attribution; some licenses also ask for an URI to the full text of the license). So it is not just a technical issue.

Aklapper added a comment.Via ConduitApr 15 2013, 12:11 PM

Michael / Jan: Ideas or plans to work on this?

bzimport added a comment.Via ConduitApr 15 2013, 4:39 PM

mdale wrote:

It appears the links are no longer active on the credits page? .. This is probably a bug from all the message re-factor stuff?

https://blog.wikimedia.org/2013/04/08/breaking-through-walls-of-text-richer-wikimedia-experience/

Jan do you have a moment to take a look? Else I can probably take a look later this week.

bzimport added a comment.Via ConduitApr 15 2013, 10:14 PM

jgerber wrote:

this was disabled in resources/mw.MediaWikiPlayerSupport.js with a comment:

Changed to use only text due to change Ifbeae7e9
Change back once bug 44525 is fixed

gerritbot added a comment.Via ConduitApr 17 2013, 9:22 AM

Related URL: https://gerrit.wikimedia.org/r/59602 (Gerrit Change Ie142dc57359121866b603e65d0f7941cf1539d22)

Thgoiter added a comment.Via ConduitMay 24 2013, 6:36 PM

Really resolved?
There is still no obvious link to the file description page neither any information about the license.

kaldari added a comment.Via ConduitMay 24 2013, 6:40 PM

It's fixed on master. As soon as someone deploys it to the cluster, it will be fixed on Wikipedia as well. Unfortunately, deployments are not allowed on Fridays.

Thgoiter added a comment.Via ConduitAug 28 2013, 4:35 PM

I still can't access the file description page from the video player. Clicking on menu, then (i) and the on the filename does not open the file page.

gerritbot added a comment.Via ConduitAug 28 2013, 8:39 PM

Change 81570 had a related patch set uploaded by Mdale:
Fixes bug 43747 by removing z-index on menu

https://gerrit.wikimedia.org/r/81570

gerritbot added a comment.Via ConduitAug 29 2013, 7:44 PM

Change 81570 merged by J:
Fixes bug 43747 by removing z-index on menu

https://gerrit.wikimedia.org/r/81570

Jaredzimmerman-WMF added a comment.Via ConduitAug 30 2013, 11:46 PM

This will also likely be resolved when Fabrice's multimedia group tackles video.

Nemo_bis added a comment.Via ConduitAug 31 2013, 7:22 AM

Thorsten, can you test (presumably on http://commons.wikimedia.beta.wmflabs.org/ ) how the fix above works?

Thgoiter added a comment.Via ConduitSep 1 2013, 7:59 AM

It works on http://commons.wikimedia.beta.wmflabs.org/, I can access the file description page from the video player.

Nemo_bis added a comment.Via ConduitSep 1 2013, 8:04 AM

(In reply to comment #15)

It works on http://commons.wikimedia.beta.wmflabs.org/, I can access the file
description page from the video player.

Good. Have you also tried embedding it on a local wiki page or in a non-wiki website HTML?

Thgoiter added a comment.Via ConduitSep 1 2013, 8:24 AM

Doesn't work with the video on https://de.wikipedia.org/wiki/Raketenstart.

Nemo_bis added a comment.Via ConduitSep 5 2013, 7:22 PM

(In reply to comment #12)

Change 81570 merged by J:
Fixes bug 43747 by removing z-index on menu

https://gerrit.wikimedia.org/r/81570

This is in 1.22wmf16 and will be live on Commons on Monday, September 9, 2013.

Aklapper added a comment.Via ConduitSep 19 2013, 6:41 PM

(In reply to comment #17)

Doesn't work with the video on https://de.wikipedia.org/wiki/Raketenstart.

File has a link (symbol with two windows, tooltip says it provides fileinfo) which goes to https://de.wikipedia.org/wiki/Datei:STS-134_launch_2.ogv

That page links to "Zur Beschreibungsseite auf Commons" (To the description page on Commons) right under the video.

Patch has been merged too, hence closing as FIXED.

Nemo_bis added a comment.Via ConduitSep 19 2013, 6:51 PM

The URL in comment 1 (WMF blogpost), however, still has an embedded video without any possibility to access the description; even at the end of the video, nothing is displayed. I'm quite sure this used to work with OMH (though one may consider it a feature that now the video can be loaded directly without any wrapping?), how is one supposed to use Commons video now?

Nemo_bis added a comment.Via ConduitSep 19 2013, 6:55 PM

(In reply to comment #0)

With OggHandler you could just click anywhere on the preview but on the play
button, if I remember correctly.

Now clicking outside the play button no longer plays the video. As this action is available again, can we use it to display information on the video or open the description page, as we used to?

[...] II) if the "Credits" view is always opened first when clicking on the video,
then the (i) icon could be repurposed to open the file description, given
that
someone clicking it really wants to know more.

This, unlike (I), was not done and the (i) icon is still meaningless. Reopening.

Gilles lowered the priority of this task from "High" to "Low".Via WebNov 24 2014, 2:24 PM
Gilles added a subscriber: Gilles.
Gilles added a project: Multimedia.Via WebNov 24 2014, 3:14 PM

Add Comment